Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2.util
Class MetricsCache

    java.lang.Object
      org.apache.hadoop.metrics2.util.MetricsCache

    public class MetricsCache

extends Object

A metrics cache for sinks that don't support sparse updates.

Nested Class Summary
`static class` | `MetricsCache.Record` Cached record

Constructor Summary
`MetricsCache()`

Method Summary
`MetricsCache.Record` | `get(String name, Collection<MetricsTag> tags)` Get the cached record
`MetricsCache.Record` | `update(MetricsRecord mr)`
`MetricsCache.Record` | `update(MetricsRecord mr, boolean includingTags)` Update the cache and return the cached record

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricsCache

    public MetricsCache()

Method Detail

### update

    public MetricsCache.Record update(MetricsRecord mr,
                                      boolean includingTags)

  Update the cache and return the cached record

  Parameters:
    `mr` - the update record
    `includingTags` - cache tag values (for later lookup by name) if true
  Returns:
    the updated cached record

### update

    public MetricsCache.Record update(MetricsRecord mr)

### get

    public MetricsCache.Record get(String name,
                                   Collection<MetricsTag> tags)

  Get the cached record

  Parameters:
    `name` - of the record
    `tags` - of the record
  Returns:
    the cached record or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation